Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.convert.support
Class ConversionServiceFactory

    java.lang.Object
      org.springframework.core.convert.support.ConversionServiceFactory

    public abstract class ConversionServiceFactory

extends Object

A factory for common `ConversionService` configurations.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller

Constructor Summary
`ConversionServiceFactory()`

Method Summary
`static void` | `addDefaultConverters(GenericConversionService conversionService)` Populate the given ConversionService instance with all applicable default converters.
`static GenericConversionService` | `createDefaultConversionService()` Create a new default ConversionService instance that can be safely modified.
`static void` | `registerConverters(Set<?> converters, ConverterRegistry registry)` Register the given converter objects with the given target registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversionServiceFactory

    public ConversionServiceFactory()

Method Detail

### createDefaultConversionService

    public static GenericConversionService createDefaultConversionService()

  Create a new default ConversionService instance that can be safely modified.

### addDefaultConverters

    public static void addDefaultConverters(GenericConversionService conversionService)

  Populate the given ConversionService instance with all applicable default converters.

### registerConverters

    public static void registerConverters(Set<?> converters,
                                          ConverterRegistry registry)

  Register the given converter objects with the given target registry.

  Parameters:
    `converters` - the converter objects: implementing `Converter`, `ConverterFactory`, or `GenericConverter`
    `registry` - the target registry to register with

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD